#!/bin/sh

KERNPATH="/lib/modules/2.6.12.6-VENUS"

copyFileWithCheck(){
## $1 - path
## $2 - name
## $3 - rights
    if [ -e "$1/$2" ]; then
        q="q"
	until [ "$q" = "n" ] || [ "$q" = "y" ]; do 
	    echo -n "File $2 already exists. Rewrite? (y/n) [n]:"
	    read q
	    if [ "$q"x = "x" ]; then
		q="n"
	    fi
	done
	if [ "$q" = "n" ]; then
	    return 0
	fi
    fi
    mkdir -p $1
    cp $2 $1/
    chmod $3 $1/$2
    return 1
}

fixFile(){
## $1 - name
    grep -v rt3070 $KERNPATH/$1 > $KERNPATH/$1.new
    cat $1 >> $KERNPATH/$1.new
    mv $KERNPATH/$1 $KERNPATH/$1.old
    mv $KERNPATH/$1.new $KERNPATH/$1
}


echo "Remount root as RW"
mount / -o remount,rw
echo "Copying rt3070sta.ko"
copyFileWithCheck "$KERNPATH/kernel/drivers/net/wireless" "rt3070sta.ko" 664
echo "Copying RT2870STA.dat"
copyFileWithCheck "/usr/local/etc/ralink" "RT2870STA.dat" 664

echo "Fixing modules.alias"
fixFile "modules.alias"

echo "Fixing modules.dep"
fixFile "modules.dep" 

echo "Fixing modules.usbmap"
fixFile "modules.usbmap" 

echo "Copying wpa_supplicant"
cp wpa_* /usr/local/bin
cp _wpa_supplicant /usr/local/bin
chmod 755 /usr/local/bin/wpa_*
chmod 755 /usr/local/bin/_wpa_supplicant

echo "Backup current hotplug"
if [ -e /sbin/hotplug ]; then
    mv /sbin/hotplug /sbin/hotplug.old
fi
echo "Copying hotplug"
cp hotplug /sbin/hotplug
chmod 755 /sbin/hotplug
sync
