#!/bin/sh

KERNPATH="/lib/modules/2.6.12.6-VENUS"

fixFile(){
## $1 - name
    grep -v rt3070 $KERNPATH/$1 > $KERNPATH/$1.new
    mv $KERNPATH/$1 $KERNPATH/$1.old
    mv $KERNPATH/$1.new $KERNPATH/$1
}

echo "Remount root as RW"
mount / -o remount,rw
echo "Unloading module"
modprobe -r rt3070sta
echo "Removing rt3070sta.ko"
rm $KERNPATH/kernel/drivers/net/wireless/rt3070sta.ko

echo "Fixing modules.alias"
fixFile "modules.alias"

echo "Fixing modules.dep"
fixFile "modules.dep"

echo "Fixing modules.usbmap"
fixFile "modules.usbmap"

if [ -e /usr/local/bin/wpa_supplicant.old ]; then
    mv /usr/local/bin/wpa_supplicant.old /usr/local/bin/wpa_supplicant
    rm /usr/local/bin/_wpa_supplicant
else
    echo "Backup wpa_supplicant isn't found"
fi
if [ -e /usr/local/bin/wpa_cli.old ]; then
    mv /usr/local/bin/wpa_cli.old /usr/local/bin/wpa_cli
else
    echo "Backup wpa_cli isn't found"
fi

if [ -e /sbin/hotplug.old ]; then
    mv /sbin/hotplug.old /sbin/hotplug
else
    echo "Backup hotplug isn't found"
fi

sync
